{% extends "transport/base.html" %}
{% load transport_utils %}

{% block title %}Attribution d’un chauffeur{% endblock %}

{% block extrastyle %}
    {{ block.super }}
    <link rel="stylesheet" type="text/css" href="{% static 'css/agenda.css' %}">
{% endblock %}

{% block extra_javascript %}
{{ block.super }}
<script>
window.addEventListener('DOMContentLoaded', () => {
    attachHandlerSelector(document, 'input[name="chauffeur"]', 'click', (ev) => {
        const input = ev.target;
        fetch(input.dataset.agendaurl).then(resp => resp.text()).then(html => {
            const container = document.querySelector('#planif_container');
            container.innerHTML = html;
            container.removeAttribute('hidden');
            attachHandlers(container);
            document.querySelector('button[type=submit]').removeAttribute('disabled');
            document.querySelector('button[id=refuser]').removeAttribute('disabled');
        });
    });
    attachHandlerSelector(document, '#refuser', 'click', refusChauffeur);
    attachHandlerSelector(document, '#chauffeur_search', 'keyup', delay(filtrerChauffeurs, 400));
});
</script>
{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
<li class="breadcrumb-item"><a href="{% url 'gestion' %}">Transports</a></li>
<li class="breadcrumb-item active" aria-current="page">Attribution</li>
{% endblock %}

{% block content %}
<h2>Attribution d’un chauffeur</h2>

<div class="row">
    <div class="col">
        {% include 'transport/transport_detail.html' %}
        {% if transports_prec %}
        <h3>Chauffeurs précédents pour ce client</h3>
            {% for transp in transports_prec %}
            <div>{{ transp.heure_rdv|date_transp }} - {{ transp.chauffeur }}</div>
            {% endfor %}
        {% endif %}
    </div>
    <div class="col d-flex flex-column">
        <form method="post">{% csrf_token %}
            {{ form.page_origine }}
            <div class="mb-3 d-flex justify-content-between">
                <div>
                    <a href="{% url 'gestion' %}" class="btn btn-secondary">Retour</a>
                    {% if transport.pk %}
                        <button id="refuser" type="button" class="btn btn-danger" disabled
                                data-url="{% url 'transport-refuse' transport.pk %}">Refus</button>
                    {% endif %}
                </div>
                <button type="submit" class="btn btn-primary" disabled>Attribuer</button>
            </div>
            <div class="mb-1">
                <input id="chauffeur_search" type="text" class="form-control" placeholder="Filtrer chauffeurs…" autocomplete="off">
            </div>
            <div class="container overflow-scroll" style="max-height: 65vh">
            {% for chauffeur in chauffeurs %}
                <div class="row chauffeur_choice">
                  <div class="col-10 ps-0">
                    <input type="radio" name="chauffeur" value="{{ chauffeur.pk }}" id="id_chauffeur_{{ chauffeur.pk }}"
                           class="form-check-input"
                           {% if transport.pk %}data-agendaurl="{% url 'benevole-dispo-transport' chauffeur.pk transport.pk %}"
                           {% else %}data-agendaurl="{% url 'benevole-dispo-transport-model' chauffeur.pk transport.modele.pk transport.date|date:'Ymd' %}"{% endif %}
                           hidden>
                    <label for="id_chauffeur_{{ chauffeur.pk }}">
                        {% if chauffeur.priorite_dispo == 1 %}<img src="{% static 'admin/img/icon-yes.svg' %}">
                        {% elif chauffeur.priorite_dispo == 2 %}<img src="{% static 'img/icon-partial.svg' %}">
                        {% elif chauffeur.priorite_dispo == 4 %}
                            <img src="{% static 'admin/img/icon-no.svg' %}" title="Absence ou Disponibilité annulée" data-bs-toggle="tooltip">
                        {% endif %}
                        {% if chauffeur.pref %}
                            <span title="{{ chauffeur.pref.remarque }}" data-bs-toggle="tooltip">
                                {{ chauffeur.pref.get_typ_display.0 }}
                            </span>
                        {% endif %}
                        {% for incompat in chauffeur.incompats_client %}
                            <span title="Incompatibilité avec handicap {{ incompat }}" data-bs-toggle="tooltip">
                                😡
                            </span>
                        {% endfor %}
                        <span class="me-3 nom_chauffeur">{{ chauffeur }}</span>
                        <div>
                        {{ chauffeur.npa }} {{ chauffeur.localite }}, {% if chauffeur.distance_vo is not None %}{{ chauffeur.distance_vo }}km{% else %}<i>distance inconnue</i>{% endif %}
                        </div>
                    </label>
                  </div>
                  <div class="col-2 text-end ps-0 pe-3">
                        {% if chauffeur.tel_prive %}{{ chauffeur.tel_prive|as_tel_icon }}{% endif %}
                        {% if chauffeur.tel_mobile %}{{ chauffeur.tel_mobile|as_tel_icon }}{% endif %}
                        {% if chauffeur.tel_prof %}{{ chauffeur.tel_prof|as_tel_icon }} (prof){% endif %}
                  </div>
                </div>
            {% empty %}
                <div>Aucun chauffeur n'est disponible</div>
            {% endfor %}
            </div>
        </form>
    </div>
    <div id="planif_container" class="col" hidden></div>
</div>
{% endblock %}
